package org.moviepedia;

import org.moviepedia.moviedb.DbFactory;
import org.moviepedia.moviedb.MovieDb;
import org.moviepedia.moviedb.MovieSearch;

import android.app.Activity;
import android.app.SearchManager;
import android.content.Intent;
import android.os.Bundle;
import android.widget.ListView;

public class SearchTheMovieDbActivity extends Activity {
    
	MovieDb movieDb_;
	
	/** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.search);

        movieDb_ = DbFactory.get();
        movieDb_.connect();
        processIntent(getIntent());
        
    }
    
    @Override
    protected void onNewIntent(Intent intent) {
    	super.onNewIntent(intent);
    	processIntent(intent);
    }
    
    private void processIntent(Intent intent) {
    	// Get the intent, verify the action and get the query
    	if (Intent.ACTION_SEARCH.equals(intent.getAction())) {
    		String query = intent.getStringExtra(SearchManager.QUERY);
    		
    		MovieSearch search = movieDb_.search(query);
    		
    		ListView listView = (ListView)findViewById(R.id.listView1);
    		listView.setTextFilterEnabled(true);
    		listView.setAdapter( new SearchResultAdapter(this, search) );

//    		  lv.setOnItemClickListener(new OnItemClickListener() {
//    		    public void onItemClick(AdapterView<?> parent, View view,
//    		        int position, long id) {
//    		      // When clicked, show a toast with the TextView text
//    		      Toast.makeText(getApplicationContext(), ((TextView) view).getText(),
//    		          Toast.LENGTH_SHORT).show();
//    		    }
//    		  });
    	}
    }

	@Override
    protected void onStart() {
    	super.onStart();
    }
    
    @Override
    protected void onStop() {
    	super.onStop();
    }
    
    @Override
    protected void onResume() {
    	super.onResume();
    }
    
    @Override
    protected void onRestart() {
    	super.onRestart();
    }
    
    @Override
    protected void onPause() {
    	super.onPause();
    }
    
    @Override
    protected void onDestroy() {
    	super.onDestroy();

    	movieDb_.disconnect();
    }
}