package org.moviepedia.moviedb;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

enum _DbConfig {
	INSTANCE
	;
	
	private static final String getKey()
	{
		InputStream stream = _DbConfig.class.getResourceAsStream("key.properties");
		Properties props = new Properties();
		try {
			props.load( stream );
		} catch (IOException e) {
			throw new DbConfigException("Missing key.properties file", e);
		}
		String key = props.getProperty("key");
		if ( key == null )
		{
			throw new DbConfigException("Missing property (key=...) in key.properties");
		}
		return key;
	}

	private static final String key = getKey();
	
	public static final boolean IS_DEBUG = false;
	
	public static final String MOVIEDB_MACHINE = IS_DEBUG ? "10.0.2.2:2048" : "api.themoviedb.org";
	
	public static String CONFIGURATION_URL = "http://"+ MOVIEDB_MACHINE + "/3/configuration?api_key="+key;
	
	public static String SEARCH_URL = "http://"+ MOVIEDB_MACHINE + "/3/search/movie?page=%d&query=%s&api_key="+key;
	
	public static String MOVIE_INFO_URL = "http://"+ MOVIEDB_MACHINE + "/3/movie/%s?api_key="+key;
	
	public static String MOVIE_CASTS_URL = "http://"+ MOVIEDB_MACHINE + "/3/movie/%s/casts?api_key="+key;
	
	public static int HTTP_OK = 200;
}
