package org.moviepedia.moviedb;

import com.google.gson.annotations.SerializedName;

public class _MovieInfo {

	public boolean adult;

	@SerializedName("backdrop_path")
	public String backdropPath;

	@SerializedName("belongs_to_collection")
	public _Collection collection;
	
	public long budget;
	public _Genres[] genres;
	public String homepage;
	public int id;
	
	@SerializedName("imdb_id")
	public String imdbId;
	
	@SerializedName("original_title")
	public String originalTitle;
	
	public String overview;
	public double popularity;
	
	@SerializedName("poster_path")
	public String posterPath;

	@SerializedName("production_companies")
	public _ProductionCompany[] productionCompanies;
	
	@SerializedName("production_countries")
	public _ProductionCountry[] productionCountries;
	
	@SerializedName("release_date")
	public String releaseDate;
	
	public long revenue;
	public int runtime;
	
	@SerializedName("spoken_languages")
	public _SpokenLanguages[] spokenLanguages;
	
	public String tagline;
	public String title;
	
	@SerializedName("vote_average")
	public double voteAverage;
  
	@SerializedName("vote_count")
	public int voteCount;
}

class _Genres {
	public int id;
	public String name;
}

class _SpokenLanguages {
	public String iso_639_1;
	public String name;
}

class _ProductionCompany {
	public int id;
	public String name;
}

class _ProductionCountry {
	public int iso_3166_1;
	public String name;
}

class _Collection {
	@SerializedName("backdrop_path")
	public String backdropPath;
	
	public int id;
	public String name;
	
	@SerializedName("poster_path")
	public String posterPath;
}