package org.moviepedia.moviedb;

import java.net.URLEncoder;
import java.util.Iterator;

import org.apache.http.HttpResponse;

class _MovieSearchImpl implements MovieSearch {

	final _MovieDbImpl movieDb_;
	final String query_;

	private final _SearchResponse search_;
	
	public _MovieSearchImpl(_MovieDbImpl movieDb, String query)
	{
		movieDb_ = movieDb;
		query_ = URLEncoder.encode(query);
		search_ = search(1);
	}
	
	public Iterator<Movie> iterator()
	{
		return new _MovieIterator(this, search_ );
	}
	
	_SearchResponse search(int page) {
		String searchUrl = String.format(_DbConfig.SEARCH_URL, page, query_);
		HttpResponse response = movieDb_._getResponse( searchUrl );
		String body = movieDb_._getResponseBody(response);
		return processSearchResponse(body);
	}
	
	private _SearchResponse processSearchResponse(String body) {
		return movieDb_.gson_.fromJson(body, _SearchResponse.class);
	}

	public int getTotalMovies() { return search_.totalResults; }
}
